summaryrefslogtreecommitdiff
path: root/etc-init.d/40git-ignore
diff options
context:
space:
mode:
Diffstat (limited to 'etc-init.d/40git-ignore')
-rwxr-xr-xetc-init.d/40git-ignore15
1 files changed, 15 insertions, 0 deletions
diff --git a/etc-init.d/40git-ignore b/etc-init.d/40git-ignore
new file mode 100755
index 0000000..846c32d
--- /dev/null
+++ b/etc-init.d/40git-ignore
@@ -0,0 +1,15 @@
+#!/bin/sh
+set -e
+if [ ! -e .gitignore ]; then
+ cat <<EOF >.gitignore
+*~
+
+# new and old versions of conffiles, stored by dpkg
+*.dpkg-new
+*.dpkg-old
+
+# mount(8) records system state here, no need to keep these in git
+blkid.tab(|.old)
+mtab
+EOF
+fi